RDKit: RDKit::MolStandardize::MolVSValidation Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolStandardize::MolVSValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::MolVSValidation:

## Public Member Functions
| MolVSValidation ()
| MolVSValidation (const std::vector< std::shared_ptr< ValidationMethod > > &validations)
| overloaded constructor to take in a user-defined list of ValidationMethod
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::CompositeValidation
| CompositeValidation (const std::vector< std::shared_ptr< ValidationMethod > > &validations)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Detailed Description

The MolVSValidation class includes most of the same validations as molvs.validations, namely NoAtomValidation, FragmentValidation, NeutralValidation, IsotopeValidation. MolVS also has IsNoneValidation and DichloroethaneValidation but these were not included here (yet).

Definition at line 159 of file Validate.h.

## Constructor & Destructor Documentation

## ◆ MolVSValidation() [1/2]

RDKit::MolStandardize::MolVSValidation::MolVSValidation | ( |  | ) |

## ◆ MolVSValidation() [2/2]

RDKit::MolStandardize::MolVSValidation::MolVSValidation | ( | const std::vector< std::shared_ptr< ValidationMethod > > & | validations | ) |

overloaded constructor to take in a user-defined list of ValidationMethod

## Member Function Documentation

## ◆ copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::MolVSValidation::copy | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from RDKit::MolStandardize::CompositeValidation.

Definition at line 167 of file Validate.h.

The documentation for this class was generated from the following file:

- Validate.h